> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List commands

> Get a list of all available commands in the Cognitio system.



## OpenAPI

````yaml /openapi.json get /command
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /command:
    get:
      summary: List commands
      description: Get a list of all available commands in the Cognitio system.
      operationId: command.list
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: List of commands
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Command'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.command.list({
              ...
            })
components:
  schemas:
    Command:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        agent:
          type: string
        model:
          type: string
        source:
          type: string
          enum:
            - command
            - mcp
            - skill
        origin:
          type: string
          enum:
            - builtin
            - config
            - mcp
            - skill
            - runtime
            - plugin
        pluginName:
          type: string
        pluginRoot:
          type: string
        skillDir:
          type: string
        allowedTools:
          type: array
          items:
            type: string
        disallowedTools:
          type: array
          items:
            type: string
        template:
          anyOf:
            - type: string
            - type: string
        subtask:
          type: boolean
        hints:
          type: array
          items:
            type: string
      required:
        - name
        - template
        - hints

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.